JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const webhook = await client.webhooks.retrieve('550e8400-e29b-41d4-a716-446655440000');
console.log(webhook.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
webhook = client.webhooks.retrieve(
"550e8400-e29b-41d4-a716-446655440000",
)
print(webhook.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
webhook, err := client.Webhooks.Get(context.TODO(), "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", webhook.Data)
}mobilerun-cloud webhooks retrieve \
--api-key 'My API Key' \
--id 550e8400-e29b-41d4-a716-446655440000curl --request GET \
--url https://api.mobilerun.ai/webhooks/{id} \
--header 'Authorization: Bearer <token>'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"eventTypes": [
"<string>"
],
"blockedAt": "<string>",
"blockedReason": "<string>",
"signingEnabled": true,
"description": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": "<string>"
}Webhooks
Get a webhook subscription
Returns a single webhook subscription by id, including its URL, subscribed event types, state, and system-observed delivery health. The signing secret is never included.
GET
/
webhooks
/
{id}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const webhook = await client.webhooks.retrieve('550e8400-e29b-41d4-a716-446655440000');
console.log(webhook.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
webhook = client.webhooks.retrieve(
"550e8400-e29b-41d4-a716-446655440000",
)
print(webhook.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
webhook, err := client.Webhooks.Get(context.TODO(), "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", webhook.Data)
}mobilerun-cloud webhooks retrieve \
--api-key 'My API Key' \
--id 550e8400-e29b-41d4-a716-446655440000Was this page helpful?
⌘I